Skip to content

Rippling: Rest API schemas (part 4)

65 Rippling schemas with complete fields and constraints.

← Rest API operations · All schemas

List job assignments — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
base_pay_rateJSONOptional
base_pay_rate (anyOf 1)numberAlternativeBase compensation rate of worker
base_pay_rate (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
job_codeModelOptionalExpand Update a job assignment — response body — job code
job_code_idstringRequired within parentIdentifier of job that is assigned to worker
job_pay_rateJSONOptional
job_pay_rate (anyOf 1)numberAlternativeThe pay rate for job assigned to worker. This can be different from the job's standard pay rate and can be overriden for a worker.
job_pay_rate (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
job_pay_rate_exceptionsarrayOptionalPay rate exceptions applicable for the worker based on certain exception dimension values.

Expandable field
job_pay_rate_exceptions[]ModelEach itemExpand List job pay rate exceptions — response body — results item
job_pay_rate_exceptions_idarrayOptionalIdentifier of pay rate exceptions applicable for the worker based on certain exception dimension values.
job_pay_rate_exceptions_id[]stringEach item
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Update a job assignment — response body — worker
worker_idstringRequired within parentIdentifier of worker to whom job is assigned.

Referenced models: List job pay rate exceptions — response body — results item, Update a job assignment — response body — job code, Update a job assignment — response body — worker

List job codes — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
custom_locationModelOptionalExpand Update a job code — response body — custom location
departmentModelOptionalExpand Update a job code — response body — department
department_idstringOptionalThe department associated with the job code.
external_idstringOptionalThe unique identifier of the job code in an outside system.
group_idstringOptionalThe ID of the job roster group.
idstringRequired within parentIdentifier field
is_archivedbooleanOptionalWhether this job code is archived. Set to true via PATCH to archive. Archiving is irreversible via this API.
job_dimensionModelOptionalExpand Update a job code — response body — job dimension
job_dimension_idstringRequired within parentThe ID of the job dimension this job code belongs to.
namestringRequired within parentThe name of the job dimension.
pay_rateJSONOptional
pay_rate (anyOf 1)numberAlternativeThe pay rate for this job code. Only applicable if the associated job dimension includes the 'PAY_RATE' organizational attribute.
pay_rate (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
pay_rate_exceptionsarrayOptionalPay rate overrides for the job based on exception dimension values.

Expandable field
pay_rate_exceptions[]ModelEach itemExpand Update a job code — response body — pay rate exceptions item
pay_rate_exceptions_idarrayOptionalPay rate overrides id for the job based on exception dimension values.
pay_rate_exceptions_id[]stringEach item
updated_atstringRequired within parentRecord update date
work_locationModelOptionalExpand Update a job code — response body — work location
work_location_idstringOptionalThe work location associated with the job code.

Referenced models: Update a job code — response body — pay rate exceptions item, Update a job code — response body — custom location, Update a job code — response body — department, Update a job code — response body — job dimension, Update a job code — response body — work location

List job dimensions — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
external_idstringOptionalThe unique identifier of the job dimension in a third party system
group_idstringOptionalThe ID of the dimension roster group.
idstringRequired within parentIdentifier field
includes_custom_locationbooleanOptionalWhether the job dimension includes codes related to a custom location. Only one dimension can have this set to true.
namestringRequired within parentThe name of the job dimension
org_attribute_associationsarrayOptionalOrganizational attributes associated with the job dimension. Only 'PAY_RATE' can be set or modified using POST or PATCH requests.
org_attribute_associations[]JSONEach itemKnown values: DEPARTMENT, WORK_LOCATION, PAY_RATE, ENTITY
roster_typestringOptionalThe roster type of the dimension. PER_DIMENSION means that there is a group on the dimension level and employees within that group have access to all job codes in the dimension. PER_JOB_CODE means that each job code has its own group.
Known values: PER_DIMENSION, PER_JOB_CODE
updated_atstringRequired within parentRecord update date

List job functions — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
namestringOptionalDisplayed name of the job function
updated_atstringRequired within parentRecord update date

List job pay rate exceptions — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
exception_dimension_idstringRequired within parentIdentifier of dimension object on which exception is configured. This objects details can be queried from exception_dimension_type's resource
exception_dimension_typestringOptionalType of dimension on which exception is configured
Known values: JOB_CODE, LEVEL, TEAM, DEPARTMENT, WORK_LOCATION
idstringRequired within parentIdentifier field
job_codeModelOptionalExpand Retrieve a specific job pay rate exception — response body — job code
job_code_idstringRequired within parentIdentifier of Job for which exception is configured.
pay_rateJSONRequired within parent
pay_rate (anyOf 1)numberAlternativeThe pay rate for exception on job_code_id and exception_dimension_id combination
pay_rate (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
updated_atstringRequired within parentRecord update date

Referenced models: Retrieve a specific job pay rate exception — response body — job code

List job requisitions — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
namestringRequired within parentJob requisition name
statusstringRequired within parentJob requisition status
Known values: OPEN, CLOSED, PUBLISHED, DRAFT, ARCHIVED
updated_atstringRequired within parentRecord update date

List kiosk badges — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
badge_idstringRequired within parentThe ID associated with the badge. Not to be confused with the record's ID.
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
is_enabledbooleanOptionalWhether this badge can be used with the Kiosk app.
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Update a kiosk badge — response body — worker
worker_idstringOptionalThe ID of the worker associated with the badge.
worker_numberJSONOptional
worker_number (anyOf 1)integerAlternativeThe employee number of the worker associated with the badge.
worker_number (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$

Referenced models: Update a kiosk badge — response body — worker

List leave accruals — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
Leave accrual resource representing time off credits granted to employees.

Leave accruals track the allocation of paid time off (vacation, sick days, etc.)
to employees based on company policies, manual grants, or other accrual sources.
accrual_datestringRequired within parentThe date when this accrual becomes effective
accrual_typestringOptionalThe type of accrual
Known values: AUTO, CARRYOVER_PENALTY, RESET_PENALTY, RESET_NEGATIVE_PENALTY, BALANCE_PENALTY, LEAVE_GRANT, BALANCE_CORRECTION_ADJUSTMENT, PAID_OUT, SUB_BALANCE_EXPIRATION, TANDA_ACCRUAL_BONUS, TILT_ADJUSTMENT, WORKFLOW_ACTION, EXPIRATION_DEDUCTION, EXPIRATION_PAYOUT, MANUAL_BALANCE_PAYOUT, CARRYOVER_PENALTY_PAYOUT, RESET_PENALTY_PAYOUT, HOLIDAY_ADJUSTMENT, HOURS_WORKED_TANDA, TENURE_MILESTONE, FR_COP_FRACTIONNEMENT
commentstringOptionalThe comment for this accrual. This is required if the leave policy requires a comment on accruals.
created_atstringRequired within parentRecord creation date
expiration_datestringOptionalThe date when this accrual expires (if applicable)
grantorModelOptionalExpand Create a new leave accrual — response body — grantor
grantor_idstringRequired within parentThe ID of the worker who granted this accrual. This is typically the Time Off admin.
idstringRequired within parentIdentifier field
leave_type_idstringRequired within parentThe company leave type ID associated with this accrual
monetary_amount_accruedJSONOptional
monetary_amount_accrued (anyOf 1)numberAlternativeThe monetary value of this accrual (for policies with monetary tracking)
monetary_amount_accrued (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
num_daysJSONOptional
num_days (anyOf 1)numberAlternativeThe number of days accrued. It can be negative for deductions. This is applicable if the policy tracks in days.
num_days (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
num_hoursJSONOptional
num_hours (anyOf 1)numberAlternativeThe number of hours accrued. It can be negative for deductions. This is applicable if the policy tracks in hours.
num_hours (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Create a new leave accrual — response body — worker
worker_idstringRequired within parentThe ID of the worker for whom the accrual is for

Referenced models: Create a new leave accrual — response body — grantor, Create a new leave accrual — response body — worker

List leave balances — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
balance_excluding_future_requestsJSONOptional
balance_excluding_future_requests (anyOf 1)numberAlternativeThe worker's leave balance excluding future leave requests. If the leave balance is unlimited, this field will be null.
balance_excluding_future_requests (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
balance_excluding_future_requests_in_daysJSONOptional
balance_excluding_future_requests_in_days (anyOf 1)numberAlternativeThe worker's leave balance in days excluding future leave requests. If the leave balance is unlimited, this field will be null.
balance_excluding_future_requests_in_days (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
balance_including_future_requestsJSONOptional
balance_including_future_requests (anyOf 1)numberAlternativeThe worker's leave balance including future leave requests. If the leave balance is unlimited, this field will be null.
balance_including_future_requests (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
balance_including_future_requests_in_daysJSONOptional
balance_including_future_requests_in_days (anyOf 1)numberAlternativeThe worker's leave balance in days including future leave requests. If the leave balance is unlimited, this field will be null.
balance_including_future_requests_in_days (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
is_balance_unlimitedbooleanOptionalIndicates if the leave balance is unlimited.
leave_typeModelOptionalExpand Retrieve a specific leave balance — response body — leave type
leave_type_idstringOptionalThe ID of the leave type associated with the leave balance.
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Retrieve a specific leave balance — response body — worker
worker_idstringRequired within parentThe ID of the worker associated with the leave balance.

Referenced models: Retrieve a specific leave balance — response body — leave type, Retrieve a specific leave balance — response body — worker

List leave requests — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
commentsstringOptionalThe comments associated with the leave request.
created_atstringRequired within parentRecord creation date
days_take_offarrayOptionalThe specific dates taken off and the amount of time taken off for each one.
days_take_off[]ModelEach itemExpand Update a leave request — response body — days take off item
end_datestringRequired within parentThe end date of the leave request.
end_timestringOptionalThe end time of the leave request.
idstringRequired within parentIdentifier field
is_managed_by_external_systembooleanOptionalWhether the leave request is managed by an external system.
leave_event_idstringOptionalThe ID of the leave event associated with the leave request, if any.
leave_policy_idstringOptionalThe ID of the leave policy associated with the leave request, either leave_policy_id or leave_type_id must be provided.
leave_typeModelOptionalExpand Update a leave request — response body — leave type
leave_type_idstringOptionalThe ID of the leave type associated with the leave request, either leave_policy_id or leave_type_id must be provided.
number_of_minutes_requestedJSONOptional
number_of_minutes_requested (anyOf 1)numberAlternativeThe number of minutes requested for the leave request.
number_of_minutes_requested (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
reason_for_leavestringOptionalThe reason for the leave request.
requesterModelOptionalExpand Update a leave request — response body — requester
requester_idstringOptionalThe ID of the worker who requested the leave request.
reviewed_atstringOptionalThe timestamp of when the leave request was reviewed.
reviewerModelOptionalExpand Update a leave request — response body — reviewer
reviewer_idstringOptionalThe ID of the worker who reviewed the leave request.
start_datestringRequired within parentThe start date of the leave request.
start_timestringOptionalThe start time of the leave request.
statusstringRequired within parentThe status of the leave request.
Known values: PENDING, APPROVED, REJECTED, CANCELED
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Update a leave request — response body — worker
worker_idstringRequired within parentThe ID of the worker associated with the leave request.

Referenced models: Update a leave request — response body — days take off item, Update a leave request — response body — leave type, Update a leave request — response body — requester, Update a leave request — response body — reviewer, Update a leave request — response body — worker

List leave types — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
descriptionstringOptionalThe description of the leave type.
idstringRequired within parentIdentifier field
is_managed_by_external_systembooleanRequired within parentWhether the leave is managed by an external system.
is_paidbooleanRequired within parentWhether the leave is paid.
namestringRequired within parentThe name of the leave type.
typestringRequired within parentThe type of leave.
updated_atstringRequired within parentRecord update date

List listing submission — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringOptionalCreation timestamp.
listing_idstringOptionalThe parent listing ID.
notesstringOptionalThe latest submitted notes.
statusstringOptionalThe submission lifecycle status.
submission_idstringOptionalThe submitted listing version ID.
updated_atstringOptionalLast update timestamp.

List listing transition — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
actionstringOptionalThe lifecycle action recorded for this activity item.
actor_idstringOptionalThe actor role ID that performed the action.
commentstringOptionalOptional comment recorded with the action.
listing_idstringOptionalThe parent listing ID.
new_statusstringOptionalThe new lifecycle status.
previous_statusstringOptionalThe previous lifecycle status.
submission_idstringOptionalThe listing version ID associated with this activity.
timestampstringOptionalActivity timestamp.

List location factors — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
adjustment_factorJSONOptional
adjustment_factor (anyOf 1)numberAlternativeCompensation adjustment percentage
adjustment_factor (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
countryModelOptionalExpand Retrieve a specific location factor — response body — country
created_atstringRequired within parentRecord creation date
display_namestringOptionalHuman-readable name for the location factor
idstringRequired within parentIdentifier field
labour_bucketstringOptionalThe labor market category (e.g., "Engineering", "Marketing", "Sales")
updated_atstringRequired within parentRecord update date

Referenced models: Retrieve a specific location factor — response body — country

List object categories — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
descriptionstringOptionalThe description of the Custom Category
idstringRequired within parentIdentifier field
namestringRequired within parentThe name of the Custom Category
updated_atstringRequired within parentRecord update date

List packages — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
descriptionstringOptionalThe description of the package
idstringRequired within parentIdentifier field
latest_version_idstringOptionalThe ID of the latest package version, if any
latest_version_numberstringOptionalThe version number of the latest package version, if any
package_display_namestringRequired within parentThe display name of the package
package_keystringRequired within parentThe unique package key within the publisher company
package_typestringRequired within parentThe package type
Known values: MANAGED, UNMANAGED
updated_atstringRequired within parentRecord update date

List payroll-runs — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
V2 DTO representing a single payroll run.

Used by:
- GET /payroll-runs/ (list)
- GET /payroll-runs/{id} (retrieve)
approval_deadlinestringOptionalDeadline for approving the payroll run.
approved_atstringOptionalTimestamp when the run was approved.
check_datestringOptionalDate the paycheck is issued.
company_entity_idstringOptionalIdentifier linking this payroll run to the company's legal entity in the HRIS system.
country_codestringOptionalISO country code where the payroll run applies.
debit_datestringOptionalDate funds are debited from the company's account.
idstringOptionalUnique identifier for the payroll run.
lock_deadlinestringOptionalDeadline after which the run is locked for changes.
paid_atstringOptionalTimestamp when the run was marked as paid.
pay_periodobjectOptionalPay period details for this run.
pay_period.end_datestringOptionalEnd date of the pay period.
pay_period.pay_frequencystringOptionalPay frequency for this period (e.g. BI_WEEKLY, SEMI_MONTHLY, MONTHLY, WEEKLY).
pay_period.start_datestringOptionalStart date of the pay period.
payment_typestringOptionalPayment method used (e.g. WIRE, ACH).
run_statestringOptionalCurrent state of the run (e.g. DRAFT, PAID, APPROVED).
run_typestringOptionalType of the run (e.g. REGULAR, OFF_CYCLE, CORRECTION).
titlestringOptionalHuman-readable title of the payroll run.

List platform capabilities — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
versionstringRequired within parentSchema version

List record detail reference options — response body — results item created at, id, updated at

FieldTypePresenceDescription and constraints
$objectRoot

List record detail related records — response body — results item

FieldTypePresenceDescription and constraints
$objectRootA related Custom Object record with the readable fields configured by a saved related-list section.
fieldsobjectRequired within parentPermission-visible fields configured for this list.
Additional keys: see wildcard field
fields.*JSONAdditional keys
fields.* (anyOf 1)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: TEXT, LONG TEXT, EMAIL, URL, PHONE NUMBER, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 2)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: NUMBER, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 3)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: BOOLEAN, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 4)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: DATE, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 5)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: DATETIME, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 6)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: CURRENCY, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 7)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: RADIO, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 8)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: SELECT, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 9)ModelAlternativeExpand Retrieve record details — response body — fields / value / data_type: OG REFERENCE FIELD, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED
fields.* (anyOf 10)ModelAlternativeExpand Retrieve record details — response body — fields / value / value_state: PRESENT, EMPTY, MASKED, UNSUPPORTED
idstringRequired within parentStable identifier of a readable related record. Use it with object_api_name in the canonical record GET or record-details endpoint.
object_api_namestringRequired within parentRelated Custom Object API name.

Referenced models: Retrieve record details — response body — fields / value / data_type: BOOLEAN, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: RADIO, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: CURRENCY, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: DATE, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: DATETIME, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: SELECT, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: NUMBER, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: OG REFERENCE FIELD, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / data_type: TEXT, LONG TEXT, EMAIL, URL, PHONE NUMBER, value state: PRESENT, EMPTY, MASKED, UNSUPPORTED, Retrieve record details — response body — fields / value / value_state: PRESENT, EMPTY, MASKED, UNSUPPORTED

List reimbursements — response body — results item

FieldTypePresenceDescription and constraints
$objectRootA Finance reimbursement the caller can see.

A reimbursement is an expense the worker paid and the company pays back. Mileage and per diem
use the same resource, with transaction_type MILEAGE_REIMBURSEMENT or PER_DIEM_REIMBURSEMENT.
Retrieve returns one by ID. A reimbursement the caller cannot see returns 404, the same as one
that does not exist.
accounting_datestringOptionalDate the transaction is booked in the accounting system, as an ISO 8601 date (YYYY-MM-DD).
approval_statusstringOptionalApproval status of the transaction. `DRAFT`: not submitted for approval. `PENDING`: awaiting required information or submission before approval. `REQUESTED`: submitted and awaiting approval. `APPROVED`: approved. `REJECTED`: rejected. `FINALIZED`: finalized for payment. `ACTIONED`: payment or reimbursement completed. `CANCELLED`: cancelled. `FAILED`: payment failed. Null for card authorizations.
Known values: DRAFT, PENDING, REQUESTED, APPROVED, REJECTED, FINALIZED, ACTIONED, CANCELLED, FAILED
attachmentsarrayOptionalOther attached files, including filenames and recorded upload metadata.
attachments[]ModelEach itemExpand Retrieve a specific bill — response body — attachments item
company_amountobjectOptionalAmount in the company's headquarters currency. The `value` is a decimal string.
company_amount.currency_typestringOptionalThe currency type, ex: USD, EUR, etc.
company_amount.valueJSONOptional
company_amount.value (anyOf 1)numberAlternativeThe decimal amount for the currency.
company_amount.value (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
created_atstringRequired within parentRecord creation date
distanceJSONOptional
distance (anyOf 1)numberAlternativeTrip length in mileage_rate.units. Null except on mileage reimbursements.
distance (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
end_locationModelOptionalExpand Retrieve a specific reimbursement — response body — end location
entity_idstringOptionalID of the legal entity the transaction belongs to. Use it with `/company-legal-entities/{id}/`.
gl_sync_statestringOptionalState of the sync to the accounting system. `NOT_FINALIZED`: not ready for accounting review. `FOR_REVIEW`: ready for accounting review. `PENDING_SYNC`: sync is in progress. `SYNCED`: synced to the accounting system. `ERROR`: sync failed. `DO_NOT_SYNC`: marked to be excluded from sync. `EXPORTED`: exported for accounting. `NOT_SYNCABLE`: this record cannot be synced. `AUTO_SYNC`: ready to be synced automatically. Null when no sync state is set.
Known values: NOT_FINALIZED, FOR_REVIEW, PENDING_SYNC, SYNCED, ERROR, DO_NOT_SYNC, EXPORTED, NOT_SYNCABLE, AUTO_SYNC
gl_vendorobjectOptionalVendor in the connected accounting system.
gl_vendor.gl_vendor_idstringOptionalID of the vendor in the accounting system.
gl_vendor.idstringOptionalID of the accounting vendor in Rippling.
gl_vendor.namestringOptionalName of the vendor in the accounting system.
idstringRequired within parentIdentifier field
line_itemsarrayOptionalCategory splits of the transaction amount.
line_items[]ModelEach itemExpand Retrieve a specific bill — response body — line items item
memostringOptionalMemo entered on the transaction.
merchant_amountobjectOptionalAmount charged by the merchant, in the merchant currency. The `value` is a decimal string.
merchant_amount.currency_typestringOptionalThe currency type, ex: USD, EUR, etc.
merchant_amount.valueJSONOptional
merchant_amount.value (anyOf 1)numberAlternativeThe decimal amount for the currency.
merchant_amount.value (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
mileage_rateModelOptionalExpand Retrieve a specific reimbursement — response body — mileage rate
mileage_rate_idstringOptionalID of the company mileage rate. Null except on mileage reimbursements. Resolve it with `expand=mileage_rate` on this reimbursement using `reimbursements.read`; there is no standalone rate lookup endpoint.
payout_amountobjectOptionalAmount credited to the worker. The `value` is a decimal string.
payout_amount.currency_typestringOptionalThe currency type, ex: USD, EUR, etc.
payout_amount.valueJSONOptional
payout_amount.value (anyOf 1)numberAlternativeThe decimal amount for the currency.
payout_amount.value (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
payout_datestringOptionalDate the worker is paid, as an ISO 8601 date (YYYY-MM-DD). Null before a run is assigned.
payout_methodstringOptionalHow the worker is paid. `NOT_SET`: no payout run is assigned. `US_PAYROLL`: assigned to a US payroll run. `GLOBAL_PAYROLL`: assigned to a global payroll run. `DIRECT_DEPOSIT`: assigned to a direct deposit run. `EOR`: assigned to an employer-of-record payroll run. `MANUAL`: marked paid outside a run. If a payout method override is set, it is returned.
Known values: NOT_SET, GLOBAL_PAYROLL, US_PAYROLL, DIRECT_DEPOSIT, EOR, MANUAL
per_diem_line_itemsarrayOptionalPer diem sub-rate rows. Null except on per diem reimbursements.
per_diem_line_items[]ModelEach itemExpand Retrieve a specific reimbursement — response body — per diem line items item
per_diem_rateModelOptionalExpand Retrieve a specific reimbursement — response body — per diem rate
per_diem_rate_idstringOptionalID of the per diem rate. Null except on per diem reimbursements. Resolve it with `expand=per_diem_rate` on this reimbursement using `reimbursements.read`; there is no standalone rate lookup endpoint.
receiptobjectOptionalReceipt file and its filename.
receipt.file_namestringOptionalOriginal file name, when recorded.
receipt.urlstringRequired within parentURL for accessing the file.
start_locationModelOptionalExpand Retrieve a specific reimbursement — response body — start location
transaction_datestringOptionalWhen the purchase or authorization happened, as an ISO 8601 date-time in UTC.
transaction_typestringOptional`REIMBURSEMENT`: an expense the worker paid and the company pays back. `MILEAGE_REIMBURSEMENT`: payback for distance driven. `PER_DIEM_REIMBURSEMENT`: payback for a daily travel allowance. This decides which mileage or per diem fields are set.
Known values: REIMBURSEMENT, MILEAGE_REIMBURSEMENT, PER_DIEM_REIMBURSEMENT
trip_end_datestringOptionalPer diem trip end date, as an ISO 8601 date (YYYY-MM-DD). Null except on per diem reimbursements.
trip_start_datestringOptionalPer diem trip start date, as an ISO 8601 date (YYYY-MM-DD). Null except on per diem reimbursements.
updated_atstringRequired within parentRecord update date
vendorModelOptionalExpand Retrieve a specific reimbursement — response body — vendor
vendor_idstringOptionalID of the Finance vendor. Use it with `/finance-vendors/{id}/`.
waypointsarrayOptionalList of intermediate stops during the trip, for mileage reimbursements. Null except on mileage reimbursements.
waypoints[]ModelEach itemExpand Retrieve a specific reimbursement — response body — waypoints item
workerModelOptionalExpand Retrieve a specific reimbursement — response body — worker
worker_idstringOptionalID of the worker who made the transaction. Use it with `/workers/{id}/`.

Referenced models: Retrieve a specific bill — response body — line items item, Retrieve a specific reimbursement — response body — waypoints item, Retrieve a specific reimbursement — response body — per diem line items item, Retrieve a specific bill — response body — attachments item, Retrieve a specific reimbursement — response body — end location, Retrieve a specific reimbursement — response body — mileage rate, Retrieve a specific reimbursement — response body — per diem rate, Retrieve a specific reimbursement — response body — start location, Retrieve a specific reimbursement — response body — vendor, Retrieve a specific reimbursement — response body — worker

List sandboxes — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
descriptionstringOptionalOptional sandbox description.
handlestringOptionalServer-generated sandbox handle.
idstringRequired within parentIdentifier field
namestringRequired within parentDisplay name of the sandbox.
statusstringOptionalCurrent lifecycle status.
typestringRequired within parentSandbox type. Supported value: "developer".
Known values: developer
updated_atstringRequired within parentRecord update date

List scheduled job assignments — response body — results item

FieldTypePresenceDescription and constraints
$objectRootPlatform API DTO for a scheduled job assignment or unassignment change.
change_typestringOptionalType of scheduled change: ASSIGN or UNASSIGN.
Known values: ASSIGN, UNASSIGN
changed_by_idstringOptionalThe ID of the role that created this scheduled change.
created_atstringRequired within parentRecord creation date
effective_fromstringOptionalWhen the scheduled change will be applied (ISO 8601).
idstringRequired within parentIdentifier field
job_code_idstringOptionalThe ID of the job code.
job_code_namestringOptionalDisplay name of the job code.
job_dimension_idstringOptionalThe ID of the job dimension.
job_dimension_namestringOptionalDisplay name of the job dimension.
pay_rateJSONOptional
pay_rate (anyOf 1)numberAlternativeNew pay rate value, if the change includes a pay rate.
pay_rate (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
reasonstringOptionalReason provided when the scheduled change was created.
updated_atstringRequired within parentRecord update date
worker_idstringOptionalThe ID of the worker (role) the scheduled changes target.

List schedules — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
can_editbooleanOptionalWhether the requesting role can edit the schedule.
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
managersarrayOptionalThe managers of the schedule.

Expandable field
managers[]ModelEach itemExpand Retrieve a specific worker — response body — manager
managers_idarrayOptionalThe IDs of the managers of the schedule.
managers_id[]stringEach item
membersarrayOptionalThe members of the schedule.

Expandable field
members[]ModelEach itemExpand Retrieve a specific worker — response body — manager
members_idarrayOptionalThe IDs of the members of the schedule.
members_id[]stringEach item
namestringOptionalThe name of the schedule.
observersarrayOptionalThe observers of the schedule.

Expandable field
observers[]ModelEach itemExpand Retrieve a specific worker — response body — manager
observers_idarrayOptionalThe IDs of the observers of the schedule.
observers_id[]stringEach item
settingsobjectOptionalThe settings of the schedule.
settings.timezonestringOptionalThe IANA timezone identifier for the schedule (e.g., 'America/New_York'). Accepted values are defined by the tz database, listed here: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
updated_atstringRequired within parentRecord update date

Referenced models: Retrieve a specific worker — response body — manager

List selectable package component types — response body

FieldTypePresenceDescription and constraints
$objectRoot
component_typesarrayRequired within parentSelectable package component types and display names available to this role.
component_types[]ModelEach itemExpand List selectable package component types — response body — component types item

Referenced models: List selectable package component types — response body — component types item

List selectable package component types — response body — component types item

FieldTypePresenceDescription and constraints
$objectRoot
display_namestringRequired within parentHuman-readable name of the component type.
typestringRequired within parentComponent type accepted by the package component picker.

List selectable package components — response body

FieldTypePresenceDescription and constraints
$objectRoot
next_linkJSONRequired within parent
next_link (anyOf 1)stringAlternativeURL for the next page of summaries, or null when there are no more results.
next_link (anyOf 2)nullAlternative
resultsarrayRequired within parentOne page of component summaries, without configurations or source code.
Maximum items: 100
results[]ModelEach itemExpand List selectable package components — response body — results item

Referenced models: List selectable package components — response body — results item

List selectable package components — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
descriptionJSONRequired within parent
description (anyOf 1)stringAlternativeComponent description, when available.
description (anyOf 2)nullAlternative
identifierobjectRequired within parentComplete package picker identifier to pass unchanged to extraction; fields depend on component type.
namestringRequired within parentComponent display name in the package builder.
selectablebooleanRequired within parentWhether the package builder permits selecting this component.
unsupported_reasonJSONRequired within parent
unsupported_reason (anyOf 1)stringAlternativeWhy selection is unavailable, when supplied by the package builder.
unsupported_reason (anyOf 2)nullAlternative

List shift assignments — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
can_editbooleanOptionalWhether the shift assignment can be edited
created_atstringRequired within parentRecord creation date
custom_fieldsarrayOptionalCustom fields for the shift assignment
custom_fields[]JSONEach itemAdditional keys: see wildcard field
custom_fields[].*JSONAdditional keys
idstringRequired within parentIdentifier field
is_publishedbooleanRequired within parentWhether the shift assignment is published. If true, the published_version will be the same as the shift_data
published_versionModelOptionalExpand Update a shift assignment — response body — published version
scheduleModelOptionalExpand Update a shift assignment — response body — schedule
schedule_idstringRequired within parentThe ID of the schedule
shift_dataModelRequired within parentExpand Update a shift assignment — response body — shift data
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Update a shift assignment — response body — worker
worker_idstringRequired within parentThe ID of the worker. Empty string '' to unassign if shift is from an open/empty shift.

Referenced models: Update a shift assignment — response body — published version, Update a shift assignment — response body — schedule, Update a shift assignment — response body — shift data, Update a shift assignment — response body — worker

List shift inputs — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
country_codestringRequired within parentTwo letter string designating country code which the shift input is associated.
created_atstringRequired within parentRecord creation date
creatorModelOptionalExpand Update a shift input — response body — creator
creator_idstringOptionalThe creator id associated with the shift input.
idstringRequired within parentIdentifier field
managed_bystringOptionalThe party that manages this shift input
namestringRequired within parentName of the shift unit.
promptstringRequired within parentPrompt for the shift unit.
typestringRequired within parentType of shift unit.
updated_atstringRequired within parentRecord update date

Referenced models: Update a shift input — response body — creator

List software deployments — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
active_group_typestringOptionalType of group targeting: 'Role' or 'Device'.
Known values: Role, Device
created_atstringRequired within parentRecord creation date
group_idstringOptionalGroup ID for role-based targeting. Required if active_group_type is 'Role'. Must be null if 'Device'.
idstringRequired within parentIdentifier field
is_report_syncing_in_progressbooleanOptionalWhether installation report syncing is in progress. When true, deployment status may be temporarily inconsistent.
ma_device_group_idstringOptionalDevice group ID for device-based targeting. Required if active_group_type is 'Device'. Must be null if 'Role'.
softwareModelOptionalExpand Update a software deployment — response body — software
software_idstringRequired within parentThe ID of the software to deploy.
updated_atstringRequired within parentRecord update date

Referenced models: Update a software deployment — response body — software

List spend categories — response body — results item

FieldTypePresenceDescription and constraints
$objectRootA Spend category used to classify transaction line items.

Inactive categories are included so historical transactions can still resolve their category.
activebooleanOptionalWhether the category is active. Inactive categories remain available for historical references.
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
namestringOptionalName of the Spend category.
updated_atstringRequired within parentRecord update date

List spend vendors — response body — results item

FieldTypePresenceDescription and constraints
$objectRootA vendor in the company's Spend directory.

Stub and archived vendors are included so historical transactions can still resolve their vendor.
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
is_archivedbooleanOptionalWhether the vendor is archived. Archived vendors remain available for historical references.
logostringOptionalURL of the vendor's logo. Null when no logo is available.
namestringOptionalCanonical name of the Spend vendor. Name eq, ne, and in filters also match alternate names.
updated_atstringRequired within parentRecord update date

List supergroup members — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
full_namestringOptionalThe group member's full name.
idstringRequired within parentIdentifier field
updated_atstringRequired within parentRecord update date
work_emailstringOptionalThe group member's associated work email address.
workerobjectOptionalThe worker associated with this group member.

Expandable field
worker.business_partnersarrayOptionalWorker's assigned business partners. This field is only populated when explicitly requested via the expand parameter (e.g., ?expand=business_partners). When expanded, returns an empty list ([]) if the worker has no business partners.

Expandable field
worker.business_partners[]ModelEach itemExpand Retrieve a specific worker — response body — business partners item
worker.business_partners_idarrayOptionalWorker's assigned business partners unique identifiers. Returns an empty list ([]) if the worker has no business partners.
worker.business_partners_id[]stringEach item
worker.citizenshipstringOptionalThe countries that the worker has citizenship in.
Known values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IQ, IR, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SY, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW
worker.compensationModelOptionalExpand Retrieve a specific worker — response body — compensation
worker.compensation_gradeobjectOptionalThe compensation grade assigned to the worker, if any.
worker.compensation_grade.idstringOptionalThe compensation grade's unique identifier.
worker.compensation_grade.labelstringOptionalThe compensation grade's label.
worker.compensation_idstringOptionalThe compensation package for the worker.
worker.countrystringOptionalThe worker's country.
Known values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IQ, IR, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SY, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW
worker.country_fieldsModelOptionalExpand Retrieve a specific worker — response body — country fields
worker.created_atstringRequired within parentRecord creation date
worker.custom_fieldsarrayOptionalCustom field values defined on the Employee object for this worker

Expandable field
worker.custom_fields[]JSONEach itemAdditional keys: see wildcard field
worker.custom_fields[].*JSONAdditional keys
worker.date_of_birthstringOptionalThe worker's date of birth.
worker.departmentModelOptionalExpand Retrieve a specific worker — response body — department
worker.department_idstringOptionalThe worker's assigned department.
worker.employment_typeModelOptionalExpand Retrieve a specific worker — response body — employment type
worker.employment_type_idstringOptionalThe worker's employment type.
worker.end_datestringOptionalThe end date of the worker.
worker.ethnicitystringOptionalThe identified ethnicity of the worker, if specified.
Known values: HISPANIC_OR_LATINO, WHITE, BLACK_OR_AFRICAN_AMERICAN, NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER, ASIAN, AMERICAN_INDIAN_OR_ALASKA_NATIVE, TWO_OR_MORE_RACES, MIDDLE_EASTERN_OR_NORTH_AFRICAN, DECLINE_TO_SELF_IDENTIFY, AFRICAN, COLOURED, INDIAN, OTHER, PREFER_NOT_TO_SAY
worker.genderstringOptionalThe gender of the worker, if specified.
Known values: MALE, FEMALE, NONBINARY, UNDETERMINED, DIVERSE, DOES_NOT_APPLY, PREFER_NOT_TO_SAY
worker.idstringRequired within parentIdentifier field
worker.is_managerbooleanOptionalWhether the worker is a manager
worker.job_functionobjectOptionalThe worker's job function. When expanded, this field requires `job-functions.read`.

Expandable field
worker.job_function.created_atstringRequired within parentRecord creation date
worker.job_function.idstringRequired within parentIdentifier field
worker.job_function.namestringOptionalDisplayed name of the job function
worker.job_function.updated_atstringRequired within parentRecord update date
worker.job_function_idstringOptionalID of the worker's job function.
worker.legal_entityModelOptionalExpand Retrieve a specific worker — response body — legal entity
worker.legal_entity_idstringOptionalThe worker's associated legal entity.
worker.levelModelOptionalExpand Retrieve a specific worker — response body — level
worker.level_idstringOptionalThe level of the worker.
worker.locationobjectOptionalThe location that the worker is mapped to for tax purposes. In the case that a worker is remote, the location's type is remote.
worker.location.typestringRequired within parentThe type of location.
Known values: REMOTE, WORK
worker.location.work_location_idstringRequired within parentThe work location, if the worker isn't remote.
worker.managerModelOptionalExpand Retrieve a specific worker — response body — manager
The worker's manager.

Expandable field
worker.manager_idstringOptionalThe worker's manager.
worker.numberJSONOptional
worker.number (anyOf 1)integerAlternativeThe worker's number within the organization.
worker.number (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
worker.original_start_datestringOptionalThe worker's earliest start date across their employment history, excluding INIT roles.
worker.overtime_exemptionstringOptionalThe worker's overtime exemption status.
Known values: EXEMPT, NON_EXEMPT
worker.pay_schedule_idstringOptionalThe ID of the pay schedule currently associated with the worker.
worker.personal_emailstringOptionalThe worker's associated personal email address.
worker.racestringOptionalThe identified race of the worker, if specified.
Known values: BLACK, BROWN, CHINESE, EURASIAN, INDIAN, INDIGENOUS, MALAY, WHITE, YELLOW, NOT_INFORMED, OTHER
worker.start_datestringOptionalThe start date of the worker.
worker.statusstringOptionalThe worker's status within the organization.
Known values: INIT, HIRED, ACCEPTED, ACTIVE, TERMINATED
worker.teamsarrayOptionalThe worker's assigned teams.

Expandable field
worker.teams[]ModelEach itemExpand Update a team — response body — parent
worker.teams_idarrayOptionalThe worker's assigned teams.
worker.teams_id[]stringEach item
worker.termination_detailsobjectOptionalThe details of the worker's termination, if applicable.
worker.termination_details.reasonstringOptionalThis is a description that will be custom to each Rippling company.
worker.termination_details.typestringOptionalThe termination type indicates whether the termination was voluntary or involuntary.
Known values: VOLUNTARY, INVOLUNTARY, RETIREMENT, DEATH, ABANDONMENT, OFFER_DECLINED, RESCIND, RENEGE
worker.titlestringOptionalThe worker's title.
worker.title_effective_datestringOptionalTitle effective date
worker.updated_atstringRequired within parentRecord update date
worker.userModelOptionalExpand Retrieve a specific worker — response body — user
worker.user_idstringOptionalThe worker's associated user.
worker.work_emailstringOptionalThe worker's associated work email address.
worker.work_scheduleobjectOptionalThe worker's scheduled working hours for each day of the week.
Additional keys: see wildcard field
worker.work_schedule.*ModelAdditional keysExpand Retrieve a specific worker — response body — work schedule value
worker_idstringOptionalThe worker's identifier associated with this group member.

Referenced models: Retrieve a specific worker — response body — business partners item, Update a team — response body — parent, Retrieve a specific worker — response body — work schedule value, Retrieve a specific worker — response body — manager, Retrieve a specific worker — response body — compensation, Retrieve a specific worker — response body — country fields, Retrieve a specific worker — response body — department, Retrieve a specific worker — response body — employment type, Retrieve a specific worker — response body — legal entity, Retrieve a specific worker — response body — level, Retrieve a specific worker — response body — user

List supergroups — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
allow_non_employeesbooleanOptionalWhether the group allows non employees
app_owner_idstringOptionalThe id of the group's app owner.
can_override_role_statesbooleanOptionalWhether the group can override role states
created_atstringRequired within parentRecord creation date
cumulatively_exhaustive_defaultbooleanOptionalWhether the group is the cumulatively exhaustive default
descriptionstringOptionalThe group's description.
display_namestringOptionalThe group's display name.
group_typestringOptionalThe group type
idstringRequired within parentIdentifier field
ignore_prov_group_matchingbooleanOptionalWhether to ignore provisioning group matching when determining group membership
include_terminatedbooleanOptionalWhether the group include terminated roles
is_invisiblebooleanOptionalWhether the group is invisible
mutually_exclusive_keystringOptionalThe group's mutually exclusive key
namestringOptionalThe group's name.
parentstringOptionalThe group's parent.
priorityJSONOptional
priority (anyOf 1)integerAlternativeThe group's priority when calculating mutual exclusivity
priority (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
read_onlybooleanOptionalWhether the group is read only.
sub_group_typestringOptionalThe sub group type
updated_atstringRequired within parentRecord update date

List supported metadata types — response body

FieldTypePresenceDescription and constraints
$objectRoot
typesarrayRequired within parentComposer-enabled metadata component types.
types[]ModelEach itemExpand List supported metadata types — response body — types item

Referenced models: List supported metadata types — response body — types item

List supported metadata types — response body — types item

FieldTypePresenceDescription and constraints
$objectRoot
descriptionstringRequired within parentShort description of the component type.
display_namestringRequired within parentHuman-readable component type name.
typestringRequired within parentMetadata component type.

List time cards — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
pay_periodobjectOptionalThe pay period associated with the time card.
pay_period.end_datestringOptionalThe end date of the pay period.
pay_period.pay_schedule_idstringOptionalThe ID of the pay schedule associated with the pay period.
pay_period.start_datestringOptionalThe start date of the pay period.
summaryModelOptionalExpand Retrieve a specific time card — response body — summary
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Retrieve a specific time card — response body — worker
worker_idstringRequired within parentThe ID of the worker associated with the time card.

Referenced models: Retrieve a specific time card — response body — summary, Retrieve a specific time card — response body — worker

List time entries — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
breaksarrayOptionalThe breaks taken during the time entry.
breaks[]ModelEach itemExpand Update a time entry — response body — breaks item
commentsarrayOptionalThe comments associated with the time entry.
comments[]ModelEach itemExpand Update a time entry — response body — comments item
create_extra_hours_runbooleanOptionalWhether the time entry should create an extra hours run.
created_atstringRequired within parentRecord creation date
end_timestringOptionalThe end time of the time entry.
idstringRequired within parentIdentifier field
idempotency_keystringOptionalThe unique key of the time entry in an outside system. If set, no other time entry with the same key can be created.
job_shiftsarrayOptionalThe job shifts worked during the time entry.
job_shifts[]ModelEach itemExpand Update a time entry — response body — job shifts item
pay_periodobjectOptionalThe pay period associated with the time card.
pay_period.end_datestringOptionalThe end date of the pay period.
pay_period.pay_schedule_idstringOptionalThe ID of the pay schedule associated with the pay period.
pay_period.start_datestringOptionalThe start date of the pay period.
piece_rate_premiumsarrayOptionalThe piece-rate premiums earned during the time entry.
piece_rate_premiums[]ModelEach itemExpand Update a time entry — response body — piece rate premiums item
premiumsarrayOptionalThe premiums earned during the time entry.
premiums[]ModelEach itemExpand Update a time entry — response body — premiums item
segmentsarrayOptionalThe pay rates for each segment of the time entry.
segments[]ModelEach itemExpand Update a time entry — response body — segments item
shift_input_valuesarrayOptionalArbitrary shift inputs collected on the time entry
shift_input_values[]ModelEach itemExpand Update a time entry — response body — shift input values item
start_timestringOptionalThe start time of the time entry.
statusstringOptionalThe status of the time entry.
Known values: DRAFT, APPROVED, PAID, FINALIZED
tagsarrayOptionalThe tags associated with the time entry.
tags[]stringEach item
time_cardModelOptionalExpand Update a time entry — response body — time card
time_card_idstringOptionalThe ID of the time card associated with the time entry.
time_entry_summaryModelOptionalExpand Update a time entry — response body — time entry summary
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Update a time entry — response body — worker
worker_idstringRequired within parentThe ID of the worker associated with the time entry.

Referenced models: Update a time entry — response body — breaks item, Update a time entry — response body — job shifts item, Update a time entry — response body — piece rate premiums item, Update a time entry — response body — premiums item, Update a time entry — response body — segments item, Update a time entry — response body — shift input values item, Update a time entry — response body — comments item, Update a time entry — response body — time card, Update a time entry — response body — time entry summary, Update a time entry — response body — worker

List titles — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
namestringRequired within parentThe name of the title.
updated_atstringRequired within parentRecord update date

List tracks — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
is_defaultbooleanOptionalWhether this is the company's default track.
namestringRequired within parentThe name of the track. Must be unique within the company or organization.
orderJSONOptional
order (anyOf 1)integerAlternativeThe one-based horizontal display order of the track.
order (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
start_global_levelJSONOptional
start_global_level (anyOf 1)integerAlternativeThe highest global level occupied by this track. Empty tracks return null.
start_global_level (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
updated_atstringRequired within parentRecord update date

List unassigned shifts — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
assigned_countJSONOptional
assigned_count (anyOf 1)integerAlternativeThe number of assigned shifts
assigned_count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
assigned_shift_idsarrayOptionalThe IDs of the assigned shifts that are part of this unassigned shift
assigned_shift_ids[]stringEach item
created_atstringRequired within parentRecord creation date
custom_fieldsarrayOptionalCustom fields for the unassigned shift
custom_fields[]JSONEach itemAdditional keys: see wildcard field
custom_fields[].*JSONAdditional keys
idstringRequired within parentIdentifier field
is_publishedbooleanRequired within parentWhether the shift is published
open_shift_configobjectOptionalConfiguration for an open shift. If present, this is an open shift (workers can sign up). If absent/None, this is an empty shift (placeholder).
published_versionModelOptionalExpand Update a unassigned shift — response body — published version
scheduleModelOptionalExpand Update a shift assignment — response body — schedule
schedule_idstringRequired within parentThe ID of the schedule
shift_dataModelRequired within parentExpand Update a shift assignment — response body — shift data
target_countJSONRequired within parent
target_count (anyOf 1)integerAlternativeThe target count of the shift
target_count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
updated_atstringRequired within parentRecord update date

Referenced models: Update a unassigned shift — response body — published version, Update a shift assignment — response body — schedule, Update a shift assignment — response body — shift data

List users — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
activebooleanOptionalWhether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.
addressesarrayOptionalThe user's addresses.
addresses[]ModelEach itemExpand Retrieve a specific user — response body — addresses item
created_atstringRequired within parentRecord creation date
display_namestringOptionalThe display name of the user using either the concatenated preferred given and family name or username depending on availability.
emailsarrayOptionalThe user's email addresses.
emails[]ModelEach itemExpand Retrieve a specific user — response body — emails item
idstringRequired within parentIdentifier field
localestringOptionalThe User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.
nameModelOptionalExpand Retrieve a specific user — response body — name
numberstringOptionalThe permanent profile number of the user.
phone_numbersarrayOptionalThe user's phone numbers.
phone_numbers[]ModelEach itemExpand Retrieve a specific user — response body — phone numbers item
photosarrayOptionalThe user's photos.
photos[]ModelEach itemExpand Retrieve a specific user — response body — photos item
preferred_languagestringOptionalThe User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.
timezonestringOptionalThe User's current time zone in IANA database Olson format
updated_atstringRequired within parentRecord update date
usernamestringOptionalThe unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.

Referenced models: Retrieve a specific user — response body — emails item, Retrieve a specific user — response body — addresses item, Retrieve a specific user — response body — phone numbers item, Retrieve a specific user — response body — photos item, Retrieve a specific user — response body — name

List variable compensation payout labels — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
clientstringRequired within parentClient system that created the label.
external_idstringRequired within parentExternal identifier unique per company and client.
idstringRequired within parentUnique identifier of the payout label.
namestringRequired within parentDisplay name of the label.

List variable compensation payout types — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
created_bystringOptionalID of the worker who created this custom payout type.
display_namestringRequired within parentDisplay name of the payout type.
idstringRequired within parentUnique identifier of the payout type. Same as key.
is_systembooleanRequired within parentWhether this is a built-in payout type.
keystringRequired within parentStable payout type key assigned by the server on create.
mappingsarrayOptionalPer-entity earning code mappings.
mappings[]ModelEach itemExpand Update a variable compensation payout type — response body — mappings item

Referenced models: Update a variable compensation payout type — response body — mappings item

List variable compensation payouts — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
amount_baseobjectRequired within parentPayout amount in the worker's base currency.
amount_base.currency_typestringRequired within parentThree-letter currency code.
amount_base.valuestringRequired within parentDecimal amount encoded as a string.
amount_usdobjectRequired within parentPayout amount converted to USD.
amount_usd.currency_typestringRequired within parentThree-letter currency code.
amount_usd.valuestringRequired within parentDecimal amount encoded as a string.
cancel_reasonstringOptionalReason provided when the payout was cancelled.
clientstringRequired within parentClient system that created the payout.
Known values: VC_PLAN_CYCLE, VC_EVENT_DRIVEN_PLAN, CUSTOM, MANUAL_PAYOUT, HRIS_SIGN_ON, OFFLINE_RECOMMENDATION
created_atstringRequired within parentWhen the payout was created.
descriptionstringOptionalOptional payout description.
effective_end_datestringRequired within parentEnd date of the covered pay period.
effective_start_datestringRequired within parentStart date of the covered pay period.
external_idstringRequired within parentExternal identifier unique per company and client.
group_label_idstringOptionalGroup label identifier attached to the payout. Expand is deferred from v1; use GET /variable-compensation-payout-labels/{id}/ when needed.
idstringRequired within parentUnique identifier of the payout.
namestringOptionalOptional payout name.
pay_classificationstringOptionalPayroll earning code resolved from the payout type.
payee_idstringRequired within parentID of the worker who receives this payout. Expandable payee (Worker DTO + workers.read) is deferred from v1; use GET /workers/{id}/ when needed.
payout_typestringRequired within parentKey of the company payout type used for this payout. Expand is deferred from v1; enumerate valid keys via GET /variable-compensation-payout-types/.
paystub_idstringOptionalPaystub identifier when the payout has been synced to payroll.
scheduled_datestringRequired within parentDate on which the payout is scheduled.
source_label_idstringOptionalSource label identifier attached to the payout. Expand is deferred from v1; use GET /variable-compensation-payout-labels/{id}/ when needed.
statusstringRequired within parentCurrent payout status.
Known values: DRAFT, PENDING_APPROVAL, APPROVAL_REJECTED, SCHEDULED, RELEASED, PAID, FORFEITED, EVALUATION_FAILED, CANCELLED
updated_atstringRequired within parentWhen the payout was last updated.

List visible activity log events retained from the last 90 days — response body — results item

FieldTypePresenceDescription and constraints
$objectRootOne visible Activity Log event retained from the last 90 days.
actor_typestringOptionalThe kind of actor that initiated the event. WORKER is a Rippling worker; INTERNAL_BY_WORKER is an internal API request triggered by a worker; SYSTEM is an automated Rippling system process; EXTERNAL is an external system or integration; RIPPLING_MDM is Rippling MDM; PARTNER is a Rippling partner, but the partner identity is not returned; and PROXY is Rippling staff or support acting through proxy. Null when no actor type was recorded.
Known values: WORKER, SYSTEM, EXTERNAL, INTERNAL_BY_WORKER, RIPPLING_MDM, PARTNER, PROXY
created_atstringRequired within parentRecord creation date
event_typestringOptionalThe open UPPER_SNAKE_CASE Activity Log code, such as USER_LOGIN_SUCCESS. New codes can appear over time.
idstringRequired within parentIdentifier field
occurred_atstringOptionalThe activity occurrence time as an ISO 8601 UTC timestamp. Unlike created_at, which records when the Activity Log record was persisted, occurred_at records when the underlying activity happened.
reasonobjectOptionalWhy the activity occurred. Null when no reason was recorded.
reason.codestringOptionalThe machine-readable reason code recorded for the event. Null when no reason was recorded.
reason.messagestringOptionalThe human-readable meaning of the reason code. Null when no reason was recorded.
request_contextModelOptionalExpand Retrieve a specific activity log event — response body — request context
source_app_handlestringOptionalThe public app handle used by GET /app-users/ for the Rippling app associated with the activity. Null when the activity is not app-specific.
statusstringOptionalThe outcome of the activity. SUCCESS means the activity completed successfully; FAILURE means the activity failed. Null when no outcome was recorded.
Known values: SUCCESS, FAILURE
targetsarrayOptionalThe resources affected by the activity. Empty when no targets were recorded.
targets[]ModelEach itemExpand Retrieve a specific activity log event — response body — targets item
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Retrieve a specific activity log event — response body — worker
worker_idstringOptionalThe Platform worker ID from GET /workers/{id}/ when the actor is a worker. Null when the actor is not a worker.

Referenced models: Retrieve a specific activity log event — response body — targets item, Retrieve a specific activity log event — response body — request context, Retrieve a specific activity log event — response body — worker

List work locations — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
addressModelRequired within parentExpand Update a work location — response body — address
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
namestringRequired within parentThe name of the work location.
updated_atstringRequired within parentRecord update date

Referenced models: Update a work location — response body — address

List worker change fields — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
categorystringRequired within parentHigh-level grouping for the field.
Known values: PERSONAL, JOB, COMPENSATION, BENEFITS, CUSTOM, COUNTRY_SPECIFIC
field_display_namestringRequired within parentUI label for the field (English).
field_keystringRequired within parentField key in snake_case. Use directly in ?filter=field_key eq '...' on GET /worker-changes. Naming convention: public DTO fields use the DTO field name verbatim (work_email, title); nested fields use dot notation (compensation.base_salary); custom fields use custom_fields.<custom_field_id>; country-specific fields use country_fields.<field_name>. Filter semantics: filtering GET /worker-changes by field_key returns events that contain at least one change to this field, but the changes[] array on those events is NOT pruned — consumers receive the full event payload including changes to other fields.
value_typestringRequired within parentValue type of the field.
Known values: STRING, NUMBER, BOOLEAN, DATE, DATETIME, CURRENCY, ENUM, REFERENCE

List worker changes — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
applied_onstringRequired within parentWhen the change was persisted (approval time for changes that went through an approval workflow). UTC. Monotonically increasing as new commits land; use as the cursor axis for incremental polling.
changed_byModelOptionalExpand Retrieve a specific worker change — response body — changed by
changed_by_idstringOptionalActor who made the change. Null for system-initiated events.
changesarrayRequired within parentField-level changes captured by this event. Per-field REDACTED entries appear for fields the caller cannot read so consumers can detect that a change occurred even when the value is hidden. Events where every changed field is invisible to the caller — either internal fields not exposed via the public Object Graph, or fields the caller's role has zero read permission on — are dropped from the response entirely (they never appear with an all-REDACTED changes array).
changes[]ModelEach itemExpand Retrieve a specific worker change — response body — changes item
created_atstringRequired within parentRecord creation date
effective_onstringRequired within parentWhen the change is true in the business domain. Can be past, present, or future. Independent of applied_on. UTC.
event_typestringRequired within parentThe lifecycle event type this change represents. CHANGE is the catch-all for non-lifecycle field edits.
Known values: HIRE, CHANGE, SCHEDULED_CHANGE, OFFBOARD, SCHEDULED_OFFBOARD, IMPORT, UNDO, EFFECTIVE_DATE_AMENDMENT
idstringRequired within parentIdentifier field
import_typestringOptionalINITIAL (census import at company onboarding) or HISTORICAL (historical data imported later). Set only when event_type is IMPORT.
Known values: INITIAL, HISTORICAL
reason_codestringOptionalStructured transition reason (e.g. 'PROMOTION', 'MARKET_ADJUSTMENT'). Populated only when the company has configured transition reasons and the change went through a role transition with one selected. Null for most companies and events.
referenced_transaction_idstringOptionalFor amendments or undos, the id of the worker-change event being modified.
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Retrieve a specific worker change — response body — worker
worker_idstringRequired within parentThe worker affected by this change.

Referenced models: Retrieve a specific worker change — response body — changes item, Retrieve a specific worker change — response body — changed by, Retrieve a specific worker change — response body — worker

List worker time splits — response body — results item

FieldTypePresenceDescription and constraints
$objectRootWorker time split configuration resource.
created_atstringRequired within parentRecord creation date
idstringRequired within parentIdentifier field
is_enabledbooleanOptionalWhether hard-coded time splits are active for this worker.
job_codesarrayOptionalThe job codes referenced in this time split configuration. Use ?expand=job_codes to populate.

Expandable field
job_codes[]ModelEach itemExpand List job codes — response body — results item
job_codes_idarrayOptionalIDs of all unique job codes referenced across all split rows.
job_codes_id[]stringEach item
splitsarrayOptionalThe split rows defining time allocation percentages across job codes. Empty when is_enabled is false.
splits[]ModelEach itemExpand Update a worker time split — response body — splits item
updated_atstringRequired within parentRecord update date
workerModelOptionalExpand Update a worker time split — response body — worker
worker_idstringRequired within parentIdentifier of the worker whose time split configuration this represents.

Referenced models: List job codes — response body — results item, Update a worker time split — response body — splits item, Update a worker time split — response body — worker

List worker-payroll-records — response body — results item

FieldTypePresenceDescription and constraints
$objectRoot
V2 DTO representing earnings, deductions, taxes, and garnishments
for a single worker in a payroll run.

Used by:
- GET /payroll-runs/{run_id}/worker-payroll-records/ (list)
- GET /payroll-runs/{run_id}/worker-payroll-records/{id} (retrieve)
country_codestringOptionalISO country code where this payroll record applies.
currencystringOptionalISO currency code for monetary amounts in this record.
deductionsarrayOptionalList of deduction line items.
deductions[]ModelEach itemExpand List worker-payroll-records — response body — results item deductions item
earningsarrayOptionalList of earning line items.
earnings[]ModelEach itemExpand List worker-payroll-records — response body — results item earnings item
garnishmentsarrayOptionalList of garnishment line items.
garnishments[]ModelEach itemExpand List worker-payroll-records — response body — results item garnishments item
gross_paystringOptionalGross pay amount for the current period.
idstringOptionalUnique identifier for this payroll record (PRE version ID).
net_paystringOptionalNet pay amount for the current period.
run_idstringOptionalIdentifier of the payroll run this record belongs to.
summaryobjectOptionalAggregate totals for taxes, deductions, and garnishments.
summary.employee_deductionsstringOptionalTotal employee deductions.
summary.employee_taxesstringOptionalTotal employee-paid taxes.
summary.employer_contributionsstringOptionalTotal employer contributions (e.g. retirement matching).
summary.employer_taxesstringOptionalTotal employer-paid taxes.
summary.total_garnishmentsstringOptionalTotal garnishments withheld.
taxesarrayOptionalList of tax line items.
taxes[]ModelEach itemExpand List worker-payroll-records — response body — results item taxes item
worker_idstringOptionalIdentifier of the worker (role ID).

Referenced models: List worker-payroll-records — response body — results item deductions item, List worker-payroll-records — response body — results item earnings item, List worker-payroll-records — response body — results item garnishments item, List worker-payroll-records — response body — results item taxes item

List worker-payroll-records — response body — results item deductions item

FieldTypePresenceDescription and constraints
$objectRootA single deduction line item on a worker's payroll record.
deduction_codestringOptionalCode identifying the deduction type.
display_namestringOptionalHuman-readable name of the deduction.
employee_amountstringOptionalEmployee contribution amount for the current period.
employer_amountstringOptionalEmployer contribution amount for the current period.

List worker-payroll-records — response body — results item earnings item

FieldTypePresenceDescription and constraints
$objectRootA single earning line item on a worker's payroll record.
amountstringOptionalEarning amount for the current period.
display_namestringOptionalHuman-readable name of the earning.
earning_categorystringOptionalCategory of the earning (e.g. SALARY, HOURLY).
earning_codestringOptionalCode identifying the earning type (e.g. regular_salary).
hoursstringOptionalHours worked for this earning in the current period.
ratestringOptionalHourly rate applied to this earning.
time_labelsarrayOptionalTime tracking labels associated with this earning.
time_labels[]stringEach item

List worker-payroll-records — response body — results item garnishments item

FieldTypePresenceDescription and constraints
$objectRootA single garnishment line item on a worker's payroll record.
amountstringOptionalGarnishment amount for the current period.
garnishment_codestringOptionalCode identifying the garnishment.

List worker-payroll-records — response body — results item taxes item

FieldTypePresenceDescription and constraints
$objectRootA single tax line item on a worker's payroll record.
amountstringOptionalTax amount for the current period.
display_namestringOptionalHuman-readable name of the tax.
paid_bystringOptionalWho pays this tax: EMPLOYER or EMPLOYEE.
tax_codestringOptionalUnique code identifying the tax.

List workflows — response body

FieldTypePresenceDescription and constraints
$objectRootAdditional keys: not allowed
next_linkJSONOptional
next_link (anyOf 1)stringAlternative
next_link (anyOf 2)nullAlternative
resultsarrayRequired within parent
results[]ModelEach itemExpand List workflows — response body — results item

Referenced models: List workflows — response body — results item

List workflows — response body — results item

FieldTypePresenceDescription and constraints
$objectRootAdditional keys: not allowed
created_atstringRequired within parentFormat: date-time
descriptionJSONRequired within parent
description (anyOf 1)stringAlternative
description (anyOf 2)nullAlternative
enabledbooleanRequired within parent
has_draftbooleanRequired within parent
idstringRequired within parent
namestringRequired within parent
owner_idstringRequired within parent
statusstringRequired within parentKnown values: draft, published, unknown
updated_atstringRequired within parentFormat: date-time
version_idstringRequired within parent

Retrieve a package sandbox link — response body

FieldTypePresenceDescription and constraints
$objectRootRequest to link a package to a sandbox, or poll an EDIT-mode installation tracker.
created_atstringRequired within parentRecord creation date
error_messagestringOptionalError message when EDIT-mode linking failed
idstringRequired within parentIdentifier field
installation_record_idstringOptionalInstallation record ID when EDIT-mode linking completes
installation_tracker_idstringOptionalThe internal sandbox installation tracker ID
modestringRequired within parentHow the sandbox is linked to the package (INSTALL or EDIT)
package_keystringRequired within parentThe package key to link into the sandbox
package_version_idstringOptionalThe package version being linked in EDIT mode
post_install_landing_componentobjectOptionalComponent to open after EDIT-mode linking completes
progressarrayOptionalEDIT-mode installation progress entries
progress[]JSONEach itemAdditional keys: see wildcard field
progress[].*JSONAdditional keys
sandbox_company_idstringRequired within parentThe company receiving the sandbox package installation
statusstringOptionalINSTALL completion status, or EDIT installation tracker status
updated_atstringRequired within parentRecord update date

Retrieve a report run — response body — meta redacted fields item

FieldTypePresenceDescription and constraints
$objectRootInfo about the redacted fields.
namestringOptionalThe name for the redacted field
reasonstringOptionalThe reason for the redaction

Retrieve a report — response body — output fields item

FieldTypePresenceDescription and constraints
$objectRootAn attribute (column) in the report output
field_idstringRequired within parentStable field identifier
field_namestringRequired within parentHuman-readable display name of the output field

Retrieve a report — response body — saved filters item

FieldTypePresenceDescription and constraints
$objectRootA filter currently saved on the report
field_idstringRequired within parentStable field identifier the filter applies to
field_namestringRequired within parentHuman-readable display name of the filtered field
operatorstringRequired within parentFilter operator applied to the field
valueJSONOptional
value (anyOf 1)JSONAlternativeFilter value; shape depends on the operator
value (anyOf 2)nullAlternative

Retrieve a specific activity log event — response body — request context

FieldTypePresenceDescription and constraints
$objectRootRequest and approximate location details captured for the activity. Null for non-request events.
accuracy_radiusJSONOptional
accuracy_radius (anyOf 1)numberAlternativeThe accuracy radius of the IP-derived location in kilometers. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.
accuracy_radius (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
browserstringOptionalThe browser family parsed from the request user agent. Returned with the activity-log.read scope. Null when unavailable.
citystringOptionalThe city resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.
countrystringOptionalThe country resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.
devicestringOptionalThe device family parsed from the request user agent. Returned with the activity-log.read scope. Null when unavailable.
ip_addressstringOptionalThe IPv4 or IPv6 address associated with the request. Null without the activity-log.sensitive-data.read scope.
latitudeJSONOptional
latitude (anyOf 1)numberAlternativeThe approximate latitude in decimal degrees resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.
latitude (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
longitudeJSONOptional
longitude (anyOf 1)numberAlternativeThe approximate longitude in decimal degrees resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.
longitude (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
operating_systemstringOptionalThe operating system parsed from the request user agent. Returned with the activity-log.read scope. Null when unavailable.
statestringOptionalThe state or region resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

Retrieve a specific activity log event — response body — targets item

FieldTypePresenceDescription and constraints
$objectRootA resource or internal entity affected by an Activity Log event.
idstringOptionalThe ID of the resource affected by the event. Null when the event target has no referenced resource. Filtering by targets.id is not supported for GROUP or SPOKE_USER targets.
typestringOptionalThe kind of target. WORKER uses the worker ID from GET /workers/{id}/; DEVICE uses the device ID from GET /devices/{id}/; GROUP uses the group ID from GET /supergroups/{id}/; SPOKE_USER uses the app-user ID from GET /app-users/{id}/. COMPUTER is deprecated in favor of DEVICE and its ID is not a Platform resource ID. IDs for SPOKE, RPASS_ITEM, RPASS_FOLDER, SCHEDULED_CHANGE, BDR_POLICY, AUTH_RULE, COMPANY_AUTH_RULE, USER_ACCOUNT, HARDWARE_SCRIPT, HARDWARE_CONFIGURATION, SOFTWARE_UPDATE, OS_SOFTWARE_UPDATE, WORK_EMAIL_POLICY, OFFBOARDING_POLICY, REMOTE_ACCESS_SESSION_OPTIONS, and REMOTE_ACCESS_SESSION_ERROR_DETAILS are not Platform resource IDs.
Known values: WORKER, SPOKE, RPASS_ITEM, SPOKE_USER, GROUP, RPASS_FOLDER, SCHEDULED_CHANGE, COMPUTER, BDR_POLICY, AUTH_RULE, COMPANY_AUTH_RULE, DEVICE, USER_ACCOUNT, HARDWARE_SCRIPT, HARDWARE_CONFIGURATION, SOFTWARE_UPDATE, OS_SOFTWARE_UPDATE, WORK_EMAIL_POLICY, OFFBOARDING_POLICY, REMOTE_ACCESS_SESSION_OPTIONS, REMOTE_ACCESS_SESSION_ERROR_DETAILS

Retrieve a specific activity log event — response body — worker

FieldTypePresenceDescription and constraints
$objectRootThe worker who initiated the activity. Request with expand=worker and the workers.read OAuth scope to return the Worker resource.

Expandable field
business_partnersarrayOptionalWorker's assigned business partners. This field is only populated when explicitly requested via the expand parameter (e.g., ?expand=business_partners). When expanded, returns an empty list ([]) if the worker has no business partners.

Expandable field
business_partners[]ModelEach itemExpand Retrieve a specific worker — response body — business partners item
business_partners_idarrayOptionalWorker's assigned business partners unique identifiers. Returns an empty list ([]) if the worker has no business partners.
business_partners_id[]stringEach item
citizenshipstringOptionalThe countries that the worker has citizenship in.
Known values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IQ, IR, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SY, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW
compensationModelOptionalExpand Retrieve a specific worker — response body — compensation
compensation_gradeobjectOptionalThe compensation grade assigned to the worker, if any.
compensation_grade.idstringOptionalThe compensation grade's unique identifier.
compensation_grade.labelstringOptionalThe compensation grade's label.
compensation_idstringOptionalThe compensation package for the worker.
countrystringOptionalThe worker's country.
Known values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IQ, IR, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, AN, NC, NZ, NI, NE, NG, NU, NF, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SY, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW
country_fieldsModelOptionalExpand Retrieve a specific worker — response body — country fields
created_atstringRequired within parentRecord creation date
custom_fieldsarrayOptionalCustom field values defined on the Employee object for this worker

Expandable field
custom_fields[]JSONEach itemAdditional keys: see wildcard field
custom_fields[].*JSONAdditional keys
date_of_birthstringOptionalThe worker's date of birth.
departmentModelOptionalExpand Retrieve a specific worker — response body — department
department_idstringOptionalThe worker's assigned department.
employment_typeModelOptionalExpand Retrieve a specific worker — response body — employment type
employment_type_idstringOptionalThe worker's employment type.
end_datestringOptionalThe end date of the worker.
ethnicitystringOptionalThe identified ethnicity of the worker, if specified.
Known values: HISPANIC_OR_LATINO, WHITE, BLACK_OR_AFRICAN_AMERICAN, NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER, ASIAN, AMERICAN_INDIAN_OR_ALASKA_NATIVE, TWO_OR_MORE_RACES, MIDDLE_EASTERN_OR_NORTH_AFRICAN, DECLINE_TO_SELF_IDENTIFY, AFRICAN, COLOURED, INDIAN, OTHER, PREFER_NOT_TO_SAY
genderstringOptionalThe gender of the worker, if specified.
Known values: MALE, FEMALE, NONBINARY, UNDETERMINED, DIVERSE, DOES_NOT_APPLY, PREFER_NOT_TO_SAY
idstringRequired within parentIdentifier field
is_managerbooleanOptionalWhether the worker is a manager
job_functionobjectOptionalThe worker's job function. When expanded, this field requires `job-functions.read`.

Expandable field
job_function.created_atstringRequired within parentRecord creation date
job_function.idstringRequired within parentIdentifier field
job_function.namestringOptionalDisplayed name of the job function
job_function.updated_atstringRequired within parentRecord update date
job_function_idstringOptionalID of the worker's job function.
legal_entityModelOptionalExpand Retrieve a specific worker — response body — legal entity
legal_entity_idstringOptionalThe worker's associated legal entity.
levelModelOptionalExpand Retrieve a specific worker — response body — level
level_idstringOptionalThe level of the worker.
locationobjectOptionalThe location that the worker is mapped to for tax purposes. In the case that a worker is remote, the location's type is remote.
location.typestringRequired within parentThe type of location.
Known values: REMOTE, WORK
location.work_location_idstringRequired within parentThe work location, if the worker isn't remote.
managerModelOptionalExpand Retrieve a specific worker — response body — manager
The worker's manager.

Expandable field
manager_idstringOptionalThe worker's manager.
numberJSONOptional
number (anyOf 1)integerAlternativeThe worker's number within the organization.
number (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
original_start_datestringOptionalThe worker's earliest start date across their employment history, excluding INIT roles.
overtime_exemptionstringOptionalThe worker's overtime exemption status.
Known values: EXEMPT, NON_EXEMPT
pay_schedule_idstringOptionalThe ID of the pay schedule currently associated with the worker.
personal_emailstringOptionalThe worker's associated personal email address.
racestringOptionalThe identified race of the worker, if specified.
Known values: BLACK, BROWN, CHINESE, EURASIAN, INDIAN, INDIGENOUS, MALAY, WHITE, YELLOW, NOT_INFORMED, OTHER
start_datestringOptionalThe start date of the worker.
statusstringOptionalThe worker's status within the organization.
Known values: INIT, HIRED, ACCEPTED, ACTIVE, TERMINATED
teamsarrayOptionalThe worker's assigned teams.

Expandable field
teams[]ModelEach itemExpand Update a team — response body — parent
teams_idarrayOptionalThe worker's assigned teams.
teams_id[]stringEach item
termination_detailsobjectOptionalThe details of the worker's termination, if applicable.
termination_details.reasonstringOptionalThis is a description that will be custom to each Rippling company.
termination_details.typestringOptionalThe termination type indicates whether the termination was voluntary or involuntary.
Known values: VOLUNTARY, INVOLUNTARY, RETIREMENT, DEATH, ABANDONMENT, OFFER_DECLINED, RESCIND, RENEGE
titlestringOptionalThe worker's title.
title_effective_datestringOptionalTitle effective date
updated_atstringRequired within parentRecord update date
userModelOptionalExpand Retrieve a specific worker — response body — user
user_idstringOptionalThe worker's associated user.
work_emailstringOptionalThe worker's associated work email address.
work_scheduleobjectOptionalThe worker's scheduled working hours for each day of the week.
Additional keys: see wildcard field
work_schedule.*ModelAdditional keysExpand Retrieve a specific worker — response body — work schedule value

Referenced models: Retrieve a specific worker — response body — business partners item, Update a team — response body — parent, Retrieve a specific worker — response body — work schedule value, Retrieve a specific worker — response body — manager, Retrieve a specific worker — response body — compensation, Retrieve a specific worker — response body — country fields, Retrieve a specific worker — response body — department, Retrieve a specific worker — response body — employment type, Retrieve a specific worker — response body — legal entity, Retrieve a specific worker — response body — level, Retrieve a specific worker — response body — user

Report an issue with this page

Necessary

Required for sign-in, security, authorization, and remembering your choices.

Always active

Analytics

Helps us understand which product and documentation features are useful.

Performance diagnostics

Uses performance tracing and privacy-masked session replay to diagnose problems.

You can change these choices at any time from Cookie settings.